Loading...
Searching...
No Matches
wind_limits.c File Reference

GIS Library - Projection limit functions. More...

`#include <grass/gis.h>`
Include dependency graph for wind_limits.c:

Go to the source code of this file.

## Functions

int | G_limit_east (double *east, int proj)
| Function not yet implemented...
int | G_limit_west (double *west, int proj)
| Function not yet implemented...
int | G_limit_north (double *north, int proj)
| Limit north (y) coordinate.
int | G_limit_south (double *south, int proj)
| Limit south (y) coordinate.

## Detailed Description

GIS Library - Projection limit functions.

(C) 2001-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  1999-2014

Definition in file wind_limits.c.

## Function Documentation

## G_limit_east()

int G_limit_east | ( | double * | east,
|  | int | proj )

Function not yet implemented...

If the projection has absolute limits (like lat/lon), then this routine modifies the input coordinate to be within the limit.

Note: Function not yet implemented.

Parameters

  [in] | east |
  [in] | proj |

Returns
  1 no change
  0 changed

Definition at line 32 of file wind_limits.c.

## G_limit_north()

int G_limit_north | ( | double * | north,
|  | int | proj )

Limit north (y) coordinate.

If the projection has absolute limits (like lat/lon), then this routine modifies the input coordinate to be within the limit.

Parameters

  [in,out] | north | north coordinate
  [in] | proj | projection id

Returns
  1 no change
  0 changed

Definition at line 68 of file wind_limits.c.

## G_limit_south()

int G_limit_south | ( | double * | south,
|  | int | proj )

Limit south (y) coordinate.

If the projection has absolute limits (like lat/lon), then this routine modifies the input coordinate to be within the limit.

Parameters

  [in] | south | south coordinate
  [in] | proj | projection id

Returns
  1 no change
  0 changed

Definition at line 96 of file wind_limits.c.

## G_limit_west()

int G_limit_west | ( | double * | west,
|  | int | proj )

Function not yet implemented...

If the projection has absolute limits (like lat/lon), then this routine modifies the input coordinate to be within the limit.

Note: Function not yet implemented.

Parameters

  [in] | west |
  [in] | proj |

Returns
  1 no change
  0 changed

Definition at line 51 of file wind_limits.c.